### Hierarchy

- DefaultListener

### Implements

- IListener

## Index

### Constructors

- constructor

### Properties

- emitter

### Methods

- onConnected
- onConnectionLost
- onDisconnected
- onError
- onMessage
- onPacketSend

## Constructors

### constructor

- new DefaultListener(emitter: IListener | null): DefaultListener

- - Defined in lib/listener/DefaultListener.ts:10

  #### Parameters

  - ##### emitter: IListener | null

  #### Returns DefaultListener

## Properties

### Private emitter

emitter: IListener | null

- Defined in lib/listener/DefaultListener.ts:10

## Methods

### onConnected

- onConnected(): void

- Implementation of IListener.onConnected

  - Defined in lib/listener/DefaultListener.ts:19

  #### Returns void

### onConnectionLost

- onConnectionLost(): void

- Implementation of IListener.onConnectionLost

  - Defined in lib/listener/DefaultListener.ts:28

  #### Returns void

### onDisconnected

- onDisconnected(): void

- Implementation of IListener.onDisconnected

  - Defined in lib/listener/DefaultListener.ts:37

  #### Returns void

### onError

- onError(error: string): void

- Implementation of IListener.onError

  - Defined in lib/listener/DefaultListener.ts:46

  #### Parameters

  - ##### error: string

  #### Returns void

### onMessage

- onMessage(data: any): void

- Implementation of IListener.onMessage

  - Defined in lib/listener/DefaultListener.ts:55

  #### Parameters

  - ##### data: any

  #### Returns void

### onPacketSend

- onPacketSend(packet: IPacket): void

- Implementation of IListener.onPacketSend

  - Defined in lib/listener/DefaultListener.ts:64

  #### Parameters

  - ##### packet: IPacket

  #### Returns void

Generated using TypeDoc